﻿using FlexGridDataValidation.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;

namespace FlexGridDataValidation.Controllers
{
    public class StockModels
    {
        public IEnumerable<Stocks> GetError { get; set; } = Stocks.GetStocks(15);
        public IEnumerable<Stocks> CellEditEnding { get; set; } = Stocks.GetStocks(15);
        public IEnumerable<Stocks> ItemValidator { get; set; } = Stocks.GetStocks(15);
        public IEnumerable<Stocks> Unobtrusive { get; set; } = Stocks.GetStocks(15);


    }
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View(new StockModels());
        }

        public IActionResult GetError()
        {
            return PartialView();
        }

        public IActionResult CellEditEnding()
        {
            return PartialView();
        }
        public IActionResult ItemValidator()
        {
            return PartialView();
        }
        public IActionResult Unobtrusive()
        {
            return PartialView();
        }
        public IActionResult Privacy()
        {
            return View(Stocks.GetStocks(10));
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
